Prevent object-replace when the desired source-object is marked
as "Must-be-top".

--- evms-2.3.3/engine/common.c	4 Jun 2004 22:26:38 -0000
+++ evms-2.3.3-fix/engine/common.c	21 Jun 2004 14:41:44 -0000
@@ -481,6 +481,13 @@
 			src_rc = EINVAL;
 		}
 
+		/* Can't move "must-be-top" objects (e.g. snapshots and snap-origins). */
+		if (source->flags & SOFLAG_MUST_BE_TOP) {
+			LOG(log_level, "Object %s must be a top object - cannot be replaced.\n",
+			    source->name);
+			src_rc = EINVAL;
+		}
+
 		if (!engine_can_online_copy()) {
 			if (!engine_is_offline(source, &vol)) {
 				LOG(log_level, "Object %s is part of volume %s which is currently opened.  Replace must be done off-line.\n",
